void testXX(int,int,double* y,double* ret,void*) {
	double d1=dih(y[0],y[1],y[2],y[3],y[4],y[5]);
	double d2=dih(y[0],y[1],y[6],2,2,y[5]);
	double d2p=dih(y[0],y[1],2,2,2,y[5]);
	*ret = d1-d2p;
	//*ret = -d2+d2p;


}

void testXY(int,int,double* y,double* ret,void*) {
	double alpha = arc(y[0],y[2],y[4]);
	double beta = arc(y[0],y[1],y[5]);
	//double beta = arc(2,2,2.7);
	double gamma = arc(y[1],y[2],y[3]);
	double rhs = -(cos(alpha)*cos(beta)-cos(gamma))/(cos(beta)*sin(alpha));
	double theta = atan(rhs);
	*ret = /*arc(getEdgeMax(),y[0],2.0)- */0.816 - theta;
	*ret = tan(0.816) - rhs/sin(alpha);
	
}

void testXZ(int,int,double* y,double* ret,void*) {
	double d0 = dih(y[0],y[1],y[2],y[3],y[4],y[5]);
	double beta0 = beta(arc(y[1],2.0,2.0),arc(y[0],y[1],y[5]));
	*ret = d0-beta0;
}

void runXX() {
	double xmin[7]={2,2,2,3.2,2,2,2};
	double eM = getEdgeMax();
	double s8 = sqrt(8.0);
	double xmax[7]={eM,eM,eM,3.2,3.2,s8,eM};
	Minimizer M(40,7,0,xmin,xmax);
	M.func = testXX;
	cout << "test XX:" << endl;
	M.coutReport();
	cout << "end testXX " << endl << endl;
}

void runXY() {
	double xmin[7]={2,2,2,3.2,2,2};
	double eM = getEdgeMax();
	double s8 = sqrt(8.0);
	double xmax[7]={eM,eM,eM,3.2,3.2,2.7};
	Minimizer M(40,6,0,xmin,xmax);
	M.func = testXY;
	cout << "test XY:" << endl;
	M.coutReport();
	cout << "end testXY " << endl << endl;
}
