// intervaldll.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "intervaldll.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}

int proveDih(double coeff, double a, 
			double b1, double b2, double b3, double b4, double b5, double b6,
			double ym1, double ym2, double ym3, double ym4, double ym5, double ym6,
			double yM1, double yM2, double yM3, double yM4, double yM5, double yM6);

INTERVALDLL_API int fnProveDih(double coeff, double a, 
			double b1, double b2, double b3, double b4, double b5, double b6,
			double ym1, double ym2, double ym3, double ym4, double ym5, double ym6,
			double yM1, double yM2, double yM3, double yM4, double yM5, double yM6) {
	return proveDih(coeff,a,b1,b2,b3,b4,b5,b6,
					ym1,ym2,ym3,ym4,ym5,ym6,
					yM1,yM2,yM3,yM4,yM5,yM6);
}


// This is an example of an exported variable
INTERVALDLL_API int nIntervaldll=0;

// This is an example of an exported function.
INTERVALDLL_API int fnIntervaldll(void)
{
	return 42;
}

// This is the constructor of a class that has been exported.
// see intervaldll.h for the class definition
CIntervaldll::CIntervaldll()
{ 
	return; 
}

